<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use \App\Helpers\PageSL;
use App\Models\University;
use App\Models\MarketCountry;
use App\Models\Department;
use App\Models\ResearchInterest;
use App\StudentProposal;
use Auth;

class SubContentController extends Controller
{
    public function get(Request $req, $name){

		
		$carbon=new \Carbon\Carbon;

		$data=[ 
			'carbon'=>$carbon,
			'name'=>$name
		];

		if($name=="load_market_countries"){
			$user=Auth::guard('admin')->user();
			$data['market_countries'] = MarketCountry::where( 
                'status', 1
            )->select(
                'market_countries.*', \DB::raw('(SELECT name FROM countries WHERE market_countries.country_id = countries.id ) as sort')
            )->orderBy('sort')->get();
			
		}elseif($name=='country_wise_university'){ 
			$user=Auth::guard('admin')->user();
			$data['universities'] =University::orderBy('name','ASC')->get(); 
		 
		}elseif($name=="load_profile_info"){
			$tuser=Auth::guard('teacher')->user();
			$data['tuser'] =$tuser;
			$data['students'] = StudentProposal::where('teacher_id',$tuser->id)->get(); 
			
		}elseif($name=="load_department"){
			$data['departments'] =Department::where('status',1)->orderBy('name','ASC')->get();
		 
		}elseif($name=="load_research_interest"){
			$tuser=Auth::guard('teacher')->user();
			$data['resarch'] =ResearchInterest::where('teacher_id',$tuser->id)->orderBy('id','DESC')->get();
		}elseif($name=="edit_university_load"){ 
			$user=Auth::guard('admin')->user();
			$data['edit_data'] =University::find($req->edit_id); 
			$data['market_countries'] = MarketCountry::where( 
                'status', 1
            )->select(
                'market_countries.*', \DB::raw('(SELECT name FROM countries WHERE market_countries.country_id = countries.id ) as sort')
            )->orderBy('sort')->get();

		}elseif($name=="edit_department_form"){
			$data['edit_dept'] =Department::find($req->dep_id);
		}else $name='default';  
		//$data['page_sl']=new PageSL($data['chapter_details']); 
		return view("admin.sub_contents.{$name}", $data);

	}
}
